Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.data
Class TaskDescription

    java.lang.Object
      org.jboss.txbridge.ba.data.TaskDescription

    public class TaskDescription

extends java.lang.Object

Task Description contains all information related to a single service invocation (task). - the transaction identifier - the unique task identifier - the service which the task relates to - participant responsible for this task

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Field Summary
`private Participant` | `participant`
`private java.lang.String` | `serviceId`
`private java.lang.String` | `taskId`
`private java.lang.String` | `txId`

Constructor Summary
`TaskDescription(java.lang.String txId, java.lang.String taskId, java.lang.String serviceId, Participant participant)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Participant` | `getParticipant()`
`java.lang.String` | `getServiceId()`
`java.lang.String` | `getTaskId()`
`java.lang.String` | `getTxId()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### txId

    private java.lang.String txId

### taskId

    private java.lang.String taskId

### serviceId

    private java.lang.String serviceId

### participant

    private Participant participant

Constructor Detail

### TaskDescription

    public TaskDescription(java.lang.String txId,
                           java.lang.String taskId,
                           java.lang.String serviceId,
                           Participant participant)

Method Detail

### getTxId

    public java.lang.String getTxId()

### getTaskId

    public java.lang.String getTaskId()

### getServiceId

    public java.lang.String getServiceId()

### getParticipant

    public Participant getParticipant()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD